<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2018 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.0
| Author: Virel
| About: Forum Threads Prefix
| Web/Support: https://www.virel.eu/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if(!defined('IN_FUSION') || !checkrights('I')) {
	die;
}

if (file_exists(INFUSIONS . "forum_threads_prefix/locale/" . $settings['locale'] . ".php")) {
    include INFUSIONS . "forum_threads_prefix/locale/" . $settings['locale'] . ".php";
} else {
    include INFUSIONS . "forum_threads_prefix/locale/Slovak.php";
}

// Infusion general information
$inf_title = 'Forum Threads Prefix';
$inf_description = 'Forum Threads Prefix';
$inf_version = "1.0";
$inf_developer = "Virel";
$inf_email = "virel@virel.eu";
$inf_weburl = "https://virel.eu";

$inf_folder = "forum_threads_prefix";

$inf_newtable[1] = $db_prefix."forum_prefixes (
	`pref_id` int(11) NOT NULL AUTO_INCREMENT,
	`pref_name` varchar(150) CHARACTER SET utf8 NOT NULL,
	`pref_color` varchar(50) CHARACTER SET utf8 NOT NULL,
	`pref_status` int(1) NOT NULL DEFAULT '0',
	PRIMARY KEY (pref_id)
) ENGINE=MyISAM;";

// Change of core table below.
if (isset($_POST['infuse']) && isset($_POST['infusion'])) { 
$result = dbquery("ALTER TABLE ".$db_prefix."threads ADD thread_prefixes mediumint(10) UNSIGNED NOT NULL DEFAULT '0' " );
}

// Restore of core table below.
else if (isset($_GET['defuse'])) {
$result = dbquery("ALTER TABLE ".$db_prefix."threads DROP thread_prefixes");
}

$inf_adminpanel[1] = array(
	"title" => $inf_title,
	"image" => "",
	"panel" => "forum_threads_prefix.php",
	"rights" => "FOTP"
);

$inf_droptable[1] = $db_prefix."forum_prefixes";
?>